# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: 

EAPI="5"

inherit autotools eutils readme.gentoo java-pkg-2 java-vm-2

DESCRIPTION="Audio desktop accessible environment."
HOMEPAGE="http://luwrain.org/"
#SRC_URI="https://github.com/luwrain/luwrain/archive/${PV}.tar.gz -> ${P}.tar.gz"
SRC_URI="http://download.luwrain.org/binary/0.4.0/linux/${PN}-linux-${PV}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"

COMMON_DEP="
	app-accessibility/RHVoice
	app-accessibility/voiceman
	dev-java/dbus-java
	( || ( >=dev-java/icedtea-7 >=dev-java/icedtea-bin-7 ) )
	"
#	>=virtual/jdk-1.8
#	app-accessibility/RHVoice
#	app-eselect/eselect-java
#	dev-db/hsqldb
#	dev-java/jdom
#	dev-java/rome
#	dev-java/sqltool

RDEPEND="${COMMON_DEP}"
DEPEND="${COMMON_DEP}"

pkg_setup() {
	JAVA_PKG_WANT_BUILD_VM="icedtea-7 icedtea-bin-7"
	JAVA_PKG_WANT_SOURCE="1.7"
	JAVA_PKG_WANT_TARGET="1.7"

	java-pkg-2_pkg_setup
	java-vm-2_pkg_setup
}

src_prepare() {
	eautoreconf
}

src_configure() {
	local tagsoup_jar
	local config

	config=(
		# javaws is managed by eselect java-vm and symlinked to by icedtea so
		# move it out of the way and symlink itweb-settings back to bin
		--bindir="${EPREFIX}"/usr/libexec/${PN}
		--with-jdk-home="${JAVA_HOME}"
	)

	unset JAVA_HOME JDK_HOME CLASSPATH JAVAC JAVACFLAGS
	econf "${config[@]}"
}

src_compile() {
	default
}

src_install() {
	default
	readme.gentoo_create_doc
}

pkg_postinst() {
	readme.gentoo_print_elog
}

pkg_prerm() {
	# override the java-vm-2 eclass check for removing a system VM, as it
	# doesn't make sense here.
	:;
}
